perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "HALL, SUSAN \(SBCSI\)" <sh9...@att.com>
Subject RE: AIX/IHS and embperl build issues
Date Tue, 18 Apr 2006 17:02:31 GMT

The make test did not work - but I did not install the perl prereqs
needed for the test suite.

Duh, I had not added the LoadModule for Embperl, only the modperl one. I
added this, and now attempting to start the webserver, I get error:

=> ./apachectl_dia start
Syntax error on line 53 of /usr/HTTPServer/conf/DIA/httpd.conf:
Can't locate API module structure `embperl_module' in file
/usr/opt/perl5/lib/site_perl/5.8.0/aix-thread-multi/auto/Embperl/Embperl
.so: Function not implemented (embperl_module)

Line 53 is my LoadModule statement:
LoadModule  embperl_module
/usr/opt/perl5/lib/site_perl/5.8.0/aix-thread-multi/auto/Embperl/Embperl
.so


Running nm on Embperl.so shows:

=> nm ./Embperl.so | grep embperl_module
embperl_module       D       83448          56
embperl_module       d      114844           4


Another piece of info on this:  I have the AIX compiler on one machine
only, so I made all there and tarred up and copied over all the modperl
and embperl files.  The system I compiled on is a match as far as the
AIX, IHS and perl versions, and the IHS and perl directory paths go.

Thanks, Susan

-----Original Message-----
From: Gerald Richter [mailto:richter@ecos.de] 
Sent: Tuesday, April 18, 2006 1:43 AM
To: HALL, SUSAN (SBCSI); embperl@perl.apache.org
Subject: RE: AIX/IHS and embperl build issues


> > 
> > I could not start the webserver.  Its httpd.conf embperl config is:
> > 

Did you try make test? Does it work for you?


> >    <IfModule mod_perl.c>
> > 
> >       PerlModule Embperl;
> >       PerlModule Apache::DBI;
> >       PerlPassEnv ORACLE_HOME
> >       PerlPassEnv HTTP_PI_REALM_NAME
> >       PerlPassEnv HTTP_PI_USER_NAME
> >       PerlPassEnv HTTP_PI_USER_ID
> >       PerlRequire /usr/local/dia_modules/startup.pl
> > 

You need a 

LoadModule embperl_module /path/to/Embperl.so

(I am not sure if AIX uses .so for dynamic libraries, so maybe you have
to change the extention)

Gerald

P.S. You might want to read README.v2 which shows what have been changed
from Embperl 1.x to 2.x

P.S.2. Embperl 1.3.x is not supported anymore and will not work with
Apache 2.x


 
** Virus checked by BB-5000 Mailfilter ** 


---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message